Package io.vertx.rxjava3.core

## Class Timer

- java.lang.Object
- - io.vertx.rxjava3.core.Timer

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Timer
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A timer task that can be used as a future. The future is completed when the timeout expires, when the task is cancelled the future is failed with a `CancellationException`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Timer>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Timer​(Timer delegate)` |
    `Timer​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` | Attempt to cancel the timer task, when the timer is cancelled, the timer is failed with a `CancellationException`.
    `int` | `compareTo​(Delayed o)` |
    `boolean` | `equals​(Object o)` |
    `long` | `getDelay​(TimeUnit unit)` |
    `Timer` | `getDelegate()` |
    `int` | `hashCode()` |
    `static Timer` | `newInstance​(Timer arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Timer> __TYPE_ARG

  - ### Constructor Detail

    - #### Timer

          public Timer​(Timer delegate)

    - #### Timer

          public Timer​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Timer getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### cancel

          public boolean cancel()

      Attempt to cancel the timer task, when the timer is cancelled, the timer is failed with a `CancellationException`.
      Returns:
        `true` when the future was cancelled and the timeout didn't fire.

    - #### getDelay

          public long getDelay​(TimeUnit unit)

    - #### compareTo

          public int compareTo​(Delayed o)

    - #### newInstance

          public static Timer newInstance​(Timer arg)